gimp compilation problem

gimp compilation problem

Post by Christophe MICHE » Tue, 15 Feb 2000 04:00:00



hello

I have unsolvable compilation problems for the 14th version of GIMP
(that occur the same way on 8th to 13th versions). Whereas ./configure
works fine, make does not complete till the end for an obscure reason.
You will find the end of the make output below in order to find out what
may have occured.

It seems that a file named ppport.h is absent from my system. That is
strange because I am running a brandly new installation of Mandrake 6.1
linux distribution and none of the critical libraries such as glibc,
kernel headers, gtk+ nor gtk+-devel are absent nor corrupted, I have
checked.

My system includes Perl version 5, PDL, and perl plugins such as
GTK+-perl, and parse rec descent.of course, aalib is also present

Does someone have a solution or only a clue ???
Thanks a lot  

---- begin of make output -------------

mkdir blib/lib/auto/Gimp
mkdir blib/man1
mkdir blib/man3
cp Gimp/Data.pm blib/lib/Gimp/Data.pm
cp Gimp/Fu.pm blib/lib/Gimp/Fu.pm
cp Gimp/Feature.pm blib/lib/Gimp/Feature.pm
cp Gimp/Util.pm blib/lib/Gimp/Util.pm
cp UI/UI.pm blib/lib/Gimp/UI.pm
cp UI/basewidget.pm blib/lib/Gimp/basewidget.pm
cp Gimp/PDL.pm blib/lib/Gimp/PDL.pm
cp Net/Net.pm blib/lib/Gimp/Net.pm
cp Gimp.pm blib/lib/Gimp.pm
cp Gimp/Module.pm blib/lib/Gimp/Module.pm
cp Gimp/Config.pm blib/lib/Gimp/Config.pm
cp Gimp/Lib.pm blib/lib/Gimp/Lib.pm
make[4]: Entering directory
`/root/installables/gimp-1.1.14/plug-ins/perl/Gimp'
mkdir ../blib/arch/auto/Gimp/Lib
mkdir ../blib/lib/auto/Gimp/Lib
Skip ../blib/lib/Gimp/Util.pm (unchanged)
Skip ../blib/lib/Gimp/Module.pm (unchanged)
Skip ../blib/lib/Gimp/Config.pm (unchanged)
Skip ../blib/lib/Gimp/Lib.pm (unchanged)
Skip ../blib/lib/Gimp/PDL.pm (unchanged)
cp Pixel.pod ../blib/lib/Gimp/Pixel.pod
Skip ../blib/lib/Gimp/Data.pm (unchanged)
cp Pod.pm ../blib/lib/Gimp/Pod.pm
Skip ../blib/lib/Gimp/Fu.pm (unchanged)
cp Compat.pm ../blib/lib/Gimp/Compat.pm
cp OO.pod ../blib/lib/Gimp/OO.pod
Skip ../blib/lib/Gimp/Feature.pm (unchanged)
/usr/bin/perl5 -I/usr/lib/perl5/5.00503/i386-linux
-I/usr/lib/perl5/5.00503 /usr/lib/perl5/5.00503/ExtUtils/xsubpp  -typ
emap /usr/lib/perl5/5.00503/ExtUtils/typemap -typemap ./../typemap
-typemap /usr/lib/perl5/site_perl/5.005/i386-linux/PD
nclude -g -O2 -Wall -Wno-parentheses -Wno-unused -Wno-uninitialized
-I/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Core -g -O2  -Dbool=char
-DHAS_BOOL -O2    -DVERSION=\"1.18\" -DXS_VERSION=\"1.18\" -fpic
-I/usr/lib/perl5/5.00503/i386-linux/CORE
-Ddatadir="\"/usr/local/share\"" -DHAVE_PDL=1  Lib.c
In file included from Lib.xs:20:
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Core/pdlcore.h:4:
ppport.h: Aucun fichier ou rpertoire de ce type
make[4]: *** [Lib.o] Error 1
make[4]: Leaving directory
`/root/installables/gimp-1.1.14/plug-ins/perl/Gimp'
make[3]: *** [subdirs] Error 2
make[3]: Leaving directory
`/root/installables/gimp-1.1.14/plug-ins/perl'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/root/installables/gimp-1.1.14/plug-ins'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/installables/gimp-1.1.14'
make: *** [all-recursive-am] Error 2    

---- end of make output -----------

--

                *                        
                *  Christophe MICHEL, Ph.D.        

                *

 
 
 

1. GIMP compilation problem - Perl

Hi there. I have following problem while running configure script:

________________________________
Warning: prerequisite Parse::RecDescent failed to load: Can't locate
Parse/RecDe

/usr/lib/perl5/
5.6.0 /usr/lib/perl5/site_perl/5.6.0/i386-linux
/usr/lib/perl5/site_perl/5.6.0 /
usr/lib/perl5/site_perl) at (eval 18) line 3.

Error: Unable to locate installed Perl libraries or Perl source code.

It is recommended that you install perl in a standard location before
building extensions. Some precompiled versions of perl do not contain
these header files, so you cannot build extensions. In such a case,
please build and install your perl from a fresh perl distribution. It
usually solves this kind of problem.

(You get this message, because MakeMaker could not find
"/usr/lib/perl5/5.6.0/i3
86-linux/CORE/perl.h")
_____________________-

Indeed, there's no perl.h file in that directory  (there's libperl.so
instead).
I have installed Perl from Mandrake8.0 distribution (by rpm). My Perl seems
to be installed in /usr/lib/perl5/5.6.0 directory.
Anybody knows how to fix it ?

Dante

2. PS 3.0.5: opening a file in Win95 using DDE

3. gimp-1.3.15 compilation problem

4. Inline or ADI for Trident!?!?!

5. Gimp 1.1.12 compilation problem

6. Call for Participation, 1998 Workshop on Graphics Hardware

7. Gimp-1.1.13; problems at compilation

8. Anybody interested in Island Trapper

9. Gimp-1.1.13 - Compilation problems

10. GIMP Compilation Woes....

11. Problem with gimp-path-set-points and gimp-path-stroke-current

12. POV Compilation problem under Irix 6.2

13. xfpovray compilation problems